package pku.edu.hocra.graph.ds;

public final class IPathType_1 {
	public static final int S = 0;
	public static final int L = 1;
	public static final int R = 2;
	public static final int D = 3;
	public static final int S1 = 4;
	public static final int L1 = 5;
	public static final int R1 = 6;
	public static final int S_Cond = 7;
	public static final int S_MAX = 8; // must be larger than any other S_Xs
	public static int oneToNormalVersion(int pathType) {
		if (pathType == S1) return S;
		else if (pathType == L1) return L;
		else if (pathType == R1) return R;
		else return -1;
	}
	public static boolean toBeExpanded(int pathType) {
		return pathType != D;
	}
	public static boolean isRightBrace(int pathType) {
		return pathType < -S_MAX;
	}
	public static boolean isLeftBrace(int pathType) {
		return pathType > S_MAX;
	}
	public static int convert2PathType(int edgeType) {
		if (edgeType == 0)
			return 0;
		else if (edgeType < 0)
			return edgeType - S_MAX;
		else
			return edgeType + S_MAX;
	}
	public static String convert2Str(int pathType) {
		switch (pathType) {
		case S:
			return "S";
		case L:
			return "L";
		case R:
			return "R";
		case D:
			return "M";
		}
		return new Integer(pathType).toString();
	}
}
