//
// Created by Wayne on 3/17/16.
//

#ifndef REACHABILITY_LOGGER_H
#define REACHABILITY_LOGGER_H


#include <string>
#include <fstream>

using std::string;
using std::ofstream;
using std::ios;

class Logger {
    ofstream log_stream;
public:
    Logger(const string &log_name);
    ~Logger();
    template <typename T>
    void log(T msg) {
        this->log_stream << msg;
        this->log_stream.flush();
    }
    void close();
};


#endif //REACHABILITY_LOGGER_H
