//
// Created by Wayne on 16/1/9.
//

#ifndef REACHABILITY_ANALYSIS_H
#define REACHABILITY_ANALYSIS_H


#include <queue>
#include <map>
#include "library_graph.h"
#include "application_graph.h"
#include "summarize_k.h"
#include "grammar.h"

const application_graph* analyze_hocra_f(const application_graph *app_gr, library_graph *lib_gr, Logger &logger);
const application_graph* analyze_hocra_k(int k, const application_graph *app_gr, library_graph *lib_gr, hocra_mapping *mapping, Logger &logger);


#endif //REACHABILITY_ANALYSIS_H
